Command-line Options |

The usual way to invoke getest is as follows:

>     getest filename

where `filename` is the configuration file used to run the test. If getest is invoked with no filename but the file `getest.cfg` exists, then:

>     getest

is equivalent to:

>     getest getest.cfg

Alternatively the configuration filename can be specified by the environment variable `$GETEST_CONFIG`:

>     setenv GETEST_CONFIG filename
>     getest

(`setenv` is the way to set environment variables with C-shell, please use the command provided by your favorite shell or operating system.) There are also some shorthands such as:

>     getest --ise
>     getest --se
>     getest --ve

which are equivalent to:

>     getest getest.ise
>     getest getest.se
>     getest getest.ve

provided that the corresponding files exist.

Following is the order used by getest to determine which configuration file to use:

1. If a filename has been specified on the command-line, then use it.
2. If either `--` `ise`, `--` `se` or `--` `ve` `` has been specified on the command-line and the corresponding file `getest.ise`, `getest.se` or `getest.ve` exists, then use this file.
3. If the file `getest.cfg` exists, then use it.
4. If the environment variable `$GETEST_CONFIG` has been defined, then use its value as configuration filename.

Here is the list of options that can be used with getest:

`-h
-?
--help`
  Print a summary of the command-line options of getest and exit.
`-V
--version`
  Print the version number of getest and exit.
`-v
--verbose`
  Run getest in verbose mode. In verbose mode, getest prints the number of test cases that have been generated.
`--``ise`
  Run getest with the configuration file `getest.ise` if it exists. This configuration file is supposed to contain instructions to run the test with the ISE Eiffel compiler. Also the default value for the `compile` `` field of the configuration file is set to `"geant compile_ise"`.
`--``se`
  Run getest with the configuration file `getest.se` if it exists. This configuration file is supposed to contain instructions to run the test with the SmartEiffel compiler. Also the default value for the `compile` `` field of the configuration file is set to `"geant compile_se"`.
`--``ve`
  Run getest with the configuration file `getest.ve` if it exists. This configuration file is supposed to contain instructions to run the test with the Visual Eiffel compiler. Also the default value for the `compile` `` field of the configuration file is set to `"geant compile_ve"`.
`-a`
  Do not catch exceptions, but let Eiffel run-time generate a stack dump.
`--``compile``=<command>`
  Override the `compile` `` field of the configuration file.
`--``class``=<regexp>`
  Override the `class` `` field of the configuration file.
`--``feature``=<regexp>`
  Override the `feature` `` field of the configuration file.
`-D <name>[=<value>]`
`--``define``=<name>[=<value>]`
  Define variable `name` and set it to `value` if specified. This option may appear several times on the command-line to define different variables. By default these variables are passed to the command running the test cases.
`-g`
  Testcase generation only. Do not compile nor run the generated test.
`-c`
  Testcase compilation only. Do not generate nor run the test.
`-e`
  Testcase execution only. Do not generate nor compile the test.